# $Id: http-header.bro,v 1.3 2004/01/13 01:23:00 vern Exp $

# Prints out detailed HTTP headers.

module HTTP;

event http_header(c: connection, is_orig: bool, name: string, value: string)
	{
	local s = lookup_http_request_stream(c);

	print http_log, fmt("%.6f %s %s %s: %s",
				network_time(), s$id,
				is_orig ? ">" : "<", name, value);
	}
