# $Id: http-entity.bro,v 1.4 2004/01/13 01:23:00 vern Exp $

# Counts entity_level.

module HTTP;

event http_begin_entity(c: connection, is_orig: bool)
	{
	local s = lookup_http_request_stream(c);
	local msg = get_http_message(s, is_orig);
	++msg$entity_level;
	}

event http_end_entity(c: connection, is_orig: bool)
	{
	local s = lookup_http_request_stream(c);
	local msg = get_http_message(s, is_orig);
	if ( msg$entity_level > 0 )
		--msg$entity_level;
	}
